// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 797 $ (last changed revision)
// @date    $Date: 2014-10-10 11:42:05 +0200 (Fr, 10 Okt 2014) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: https://svn/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Algorithms/ITK/include/mapFixedPointSetToPointSetMetricPolicy.tpp $
*/


#ifndef __FIXED_POINT_SET_METRIC_POLICY_TPP
#define __FIXED_POINT_SET_METRIC_POLICY_TPP

namespace map
{
	namespace algorithm
	{
		namespace itk
		{

			template<class TConcreteMetric>
			FixedPointSetToPointSetMetricPolicy<TConcreteMetric>::
			FixedPointSetToPointSetMetricPolicy()
			{
			}

			template<class TConcreteMetric>
			FixedPointSetToPointSetMetricPolicy<TConcreteMetric>::
			~FixedPointSetToPointSetMetricPolicy()
			{
			}

			template<class TConcreteMetric>
			typename FixedPointSetToPointSetMetricPolicy<TConcreteMetric>::MetricControlType*
			FixedPointSetToPointSetMetricPolicy<TConcreteMetric>::
			getMetricControl()
			{
				return Superclass::getConcreteMetricControl();
			};

			template<class TConcreteMetric>
			const typename FixedPointSetToPointSetMetricPolicy<TConcreteMetric>::MetricControlType*
			FixedPointSetToPointSetMetricPolicy<TConcreteMetric>::
			getMetricControl() const
			{
				return Superclass::getConcreteMetricControl();
			};

		}
	} // end namespace algorithm
} // end namespace map

#endif
