// -----------------------------------------------------------------------
// MatchPoint - DKFZ translational registration framework
//
// Copyright (c) German Cancer Research Center (DKFZ),
// Software development for Integrated Diagnostics and Therapy (SIDT).
// ALL RIGHTS RESERVED.
// See mapCopyright.txt or
// http://www.dkfz.de/en/sidt/projects/MatchPoint/copyright.html
//
// This software is distributed WITHOUT ANY WARRANTY; without even
// the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the above copyright notices for more information.
//
//------------------------------------------------------------------------
/*!
// @file
// @version $Revision: 797 $ (last changed revision)
// @date    $Date: 2014-10-10 11:42:05 +0200 (Fr, 10 Okt 2014) $ (last change date)
// @author  $Author: floca $ (last changed by)
// Subversion HeadURL: $HeadURL: https://svn/sbr/Sources/SBR-Projects/MatchPoint/trunk/Code/Algorithms/ITK/source/mapITKMVNLOptimizerControlInterface.cpp $
*/



#include "mapITKMVNLOptimizerControlInterface.h"

namespace map
{
	namespace algorithm
	{
		namespace itk
		{


			ITKMVNLOptimizerControlInterface::MVNLMeasureType
			ITKMVNLOptimizerControlInterface::
			getCurrentMeasure() const
			{
				MVNLMeasureType result;

				if (this->hasCurrentValue())
				{
					result = this->doGetCurrentMeasure();
				}

				return result;
			};

			ITKMVNLOptimizerControlInterface::OptimizerMeasureType
			ITKMVNLOptimizerControlInterface::
			doGetCurrentValue() const
			{
				OptimizerMeasureType result;

				MVNLMeasureType measure = this->doGetCurrentMeasure();

				for (MVNLMeasureType::iterator pos = measure.begin(); pos != measure.end(); ++pos)
				{
					result.push_back(*pos);
				}

				return result;
			};

			ITKMVNLOptimizerControlInterface::
			ITKMVNLOptimizerControlInterface()
			{
			};

			ITKMVNLOptimizerControlInterface::
			~ITKMVNLOptimizerControlInterface()
			{
			};

		}
	}
}
